<meta name="viewport" content="width=device-width, initial-scale=1">
<style>body{background : #333; color : #aaa; font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Ubuntu, "Helvetica Neue", Arial, sans-serif;}h1,h2,h3,h4,h5,h6{color : #fff}
xmp{color : #333;background:#ddd; border-radius:5px; overflow-x:auto; padding:10px; margin:0; 	max-width: 100%;}</style>
<h1>mincss.php ~ .htaccess config</h1>
<?php 
foreach(file('mincss.php') as $line) {
	if (strpos($line, '$cache_folder') !== false){eval($line);}
	if (strpos($line, '$cache_ext') !== false){eval($line);}
	if (isset($cache_folder) && isset($cache_ext)){break;}
}
$var_cache_folder = rtrim($cache_folder,"/");
$var_cache_ext = $cache_ext;
$var_cache_red = str_replace(str_replace($_SERVER['PHP_SELF'],"",str_replace($_SERVER["DOCUMENT_ROOT"], "", __FILE__)), "", $var_cache_folder); 
?>
<p><b>$_SERVER["DOCUMENT_ROOT"]: </b><?php echo $_SERVER["DOCUMENT_ROOT"];?></p>
<h2 style='margin-bottom:0;'>Code 1</h2>
<?php
echo "<xmp>";
echo "<IfModule mod_rewrite.c>
    RewriteEngine On
    Options +FollowSymlinks 
    # mincss.php -------------------------------------------------------------------------
        # Use cached CSS directly without the need of PHP (more efficient)
            RewriteCond %{QUERY_STRING} !(^|&)php($|&)
            RewriteCond %{DOCUMENT_ROOT}".$var_cache_folder."/%{REQUEST_URI}".$var_cache_ext." -f
            RewriteRule \.css$ ".$var_cache_red."/%{REQUEST_URI}".$var_cache_ext." [L]
        # no cache found --> send request to php file
            RewriteRule \.css$ mincss.php [L]
    # END mincss.php ---------------------------------------------------------------------
</IfModule>";
echo "</xmp>";
?>
<h2 style='margin-bottom:0;'>Code 2</h2>
<?php
echo "<xmp>";
echo "    # mincss.php -------------------------------------------------------------------------
        # Use cached CSS directly without the need of PHP (more efficient)
            RewriteCond %{QUERY_STRING} !(^|&)php($|&)
            RewriteCond %{DOCUMENT_ROOT}".var_cache_folder."/%{REQUEST_URI}".$var_cache_ext." -f
            RewriteRule \.css$ ".$var_cache_red."/%{REQUEST_URI}".$var_cache_ext." [L]
        # no cache found --> send request to php file
            RewriteRule \.css$ mincss.php [L]
    # END mincss.php ---------------------------------------------------------------------";
echo "</xmp>";
?>
<p>When you have done you can delete this file. It's just for helping you to create the necessary code for the ".htaccess" file.</p>
</br><p>&copy; Adrian Jost <a href="https://hackedit.de"><svg style="display:inline-block; width:.7em; height:.7em;" fill="#aaa" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 482.136 482.135"><path d="M455.482 198.184L326.83 326.832c-35.536 35.54-93.11 35.54-128.647 0l-42.88-42.886 42.88-42.876 42.884 42.876c11.845 11.822 31.064 11.846 42.886 0l128.644-128.643c11.816-11.83 11.816-31.066 0-42.9l-42.88-42.88c-11.823-11.815-31.065-11.815-42.888 0l-45.93 45.935c-21.29-12.53-45.49-17.905-69.448-16.29l72.5-72.527c35.536-35.52 93.137-35.52 128.645 0l42.886 42.882c35.535 35.523 35.535 93.14 0 128.662zM201.206 366.698l-45.903 45.9c-11.845 11.846-31.064 11.817-42.88 0l-42.885-42.88c-11.845-11.822-11.845-31.042 0-42.887l128.646-128.647c11.82-11.814 31.07-11.814 42.884 0l42.886 42.886 42.876-42.887-42.876-42.88c-35.54-35.522-93.113-35.522-128.65 0L26.654 283.945c-35.537 35.545-35.537 93.146 0 128.652L69.54 455.48c35.51 35.54 93.11 35.54 128.646 0l72.496-72.5c-23.956 1.598-48.092-3.783-69.474-16.282z"/></svg></a> 
  All rights reserved.</p>